## org.apache.xalan.xsltc
Interface Translet

All Known Implementing Classes:
  AbstractTranslet

public interface Translet

Method Summary
`void` `addAuxiliaryClass(java.lang.Class auxClass)`
`java.lang.Object` `addParameter(java.lang.String name, java.lang.Object value)`
`void` `buildKeys(DOM document, DTMAxisIterator iterator, SerializationHandler handler, int root)`
`java.lang.Class` `getAuxiliaryClass(java.lang.String className)`
`java.lang.String[]` `getNamesArray()`
`java.lang.String[]` `getNamespaceArray()`
`int[]` `getTypesArray()`
`java.lang.String[]` `getUrisArray()`
`void` `transform(DOM document, DTMAxisIterator iterator, SerializationHandler handler)`
`void` `transform(DOM document, SerializationHandler handler)`
`void` `transform(DOM document, SerializationHandler[] handlers)`

Method Detail

### transform

    public void transform(DOM document,
                          SerializationHandler handler)
                   throws TransletException

### transform

    public void transform(DOM document,
                          SerializationHandler[] handlers)
                   throws TransletException

### transform

    public void transform(DOM document,
                          DTMAxisIterator iterator,
                          SerializationHandler handler)
                   throws TransletException

### addParameter

    public java.lang.Object addParameter(java.lang.String name,
                                         java.lang.Object value)

### buildKeys

    public void buildKeys(DOM document,
                          DTMAxisIterator iterator,
                          SerializationHandler handler,
                          int root)
                   throws TransletException

### addAuxiliaryClass

    public void addAuxiliaryClass(java.lang.Class auxClass)

### getAuxiliaryClass

    public java.lang.Class getAuxiliaryClass(java.lang.String className)

### getNamesArray

    public java.lang.String[] getNamesArray()

### getUrisArray

    public java.lang.String[] getUrisArray()

### getTypesArray

    public int[] getTypesArray()

### getNamespaceArray

    public java.lang.String[] getNamespaceArray()

Copyright © 2006 Apache XML Project. All Rights Reserved.